# p4_srednia_jeden_job - użytkownik przez input podaje nazwę stanowiska (np Programmer)
#         a program oblicza średnią pensję na tym stanowisku

jaki_job = input('Podaj nazwę stanowiska, np. Programmer: ')
suma = 0
ile = 0
with open('emps.csv', mode='r', encoding='utf-8') as plik:
    plik.readline()
    for linia in plik:
        t = linia.strip().split(';')
        if t[3] == jaki_job:
            suma += int(t[4])
            ile += 1

if ile > 0:
    srednia = suma / ile
    print(f'Średnia pensja {ile} pracowników na stanowisku {jaki_job} wynosi: {srednia:.2f}')
else:
    print(f'Nikt nie pracuje na stanowisku {jaki_job}')
